
#qodef-page-content,
.qodef-page-content-section,
.woocommerce,
.woocommerce_review_order_container,
.woocommerce_review_order_details,
#qodef-woo-page,
.woocommerce_review_order_details .product_header,
.woocommerce_review_order_details .product_header span,
.woocommerce_review_order_details .product_header span h2,
.woocommerce_review_order_details .cart_item,
.woocommerce_review_order_details .cart_item span,
.woocommerce_review_order_details .cart_item span div,
.woocommerce_review_order_details .order_summary,
.woocommerce_review_order_details .order_summary span,
.woocommerce_review_order_details .order_summary span h2,
.woocommerce_review_order_details .order_summary span h2 strong {
    position: relative;
    float: left;
    display: block;
    width: 100%;
    height: auto;
}

.woocommerce_review_order_container{
    margin: 3vw 0;
}

.woocommerce_review_order_details{
    width: 99.5%;
    padding: 0 2vw !important;
    padding-left: 4vw !important;
    border: 1px solid grey;
    border-radius: 1vw;
}

.woocommerce_review_order_details .product_header,
.woocommerce_review_order_details .cart_item,
.woocommerce_review_order_details .order_summary{
    padding-left: 2%;
}
.woocommerce_review_order_details .cart_item {
    height: 17vw;
}
.woocommerce_review_order_details .order_summary {
    height: 6vw !important;
    border-top: 1px solid grey;
}

.woocommerce_review_order_details .product_header span,
.woocommerce_review_order_details .product_header span h2,
.woocommerce_review_order_details .cart_item span,
.woocommerce_review_order_details .order_summary span ,
.woocommerce_review_order_details .order_summary span strong{
    font-size: 1.25vw;
    height: 100%;
}


/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/


.product-remove,
.product-edit {
    position: absolute !important;
    display: block;
    width: 1vw !important;
    height: 1vw !important;
    top: 40% !important;
    font-size: 2vw !important;
    cursor: pointer;
}
.product-remove:hover a{
    transform: scale(1.05);
    font-weight: bold;
    color: red !important;
}
.product-remove:active,
.product-edit:active{
    transform: scale(0.95);
}

.product-edit{
    width: 1.25vw !important;
    height: 1.25vw !important;
    top: 60% !important;
    cursor: pointer;
}
.edit-icon {
    fill: none; /* O quita el relleno */
    stroke: black; /* Color del trazo */
    stroke-width: 2.25; /* Grosor del trazo */
    stroke-linecap: round;
    stroke-linejoin: round;
    transition: stroke 0.3s ease; /* Transición suave */
}

/* Efecto al pasar el mouse (hover) */
.edit-icon:hover {
    stroke: rgb(129, 195, 249);
}

.product-edit:hover svg{
    stroke: rgb(129, 195, 249);
}



/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/


.product-remove {
    left: -2.5vw !important;
}
.product-edit {
    left: -2.6vw !important;
}


.out_of_stock {
    margin: 0.25vw 0;
    border-left: 0.5vw solid rgb(255 129 0);
    border-right: 0.25vw solid rgb(255 125 0);
    background-color: rgb(255 115 0 / 5%);
}
.out_of_stock .product-remove,
.out_of_stock .product-edit{
    display: flex !important;
}
.out_of_stock .product-remove {
    left: -2.9vw !important;
}
.out_of_stock .product-edit {
    left: -3vw !important;
}




/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/



.woocommerce_review_order_details .product_header,
.woocommerce_review_order_details .order_summary{
    border-bottom: 1px solid grey;
    height: 4vw !important;
}
.woocommerce_review_order_details .product_header span h2,
.woocommerce_review_order_details .order_summary span h2{
    margin: 0 !important;
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}
.woocommerce_review_order_details .product_header span,
.woocommerce_review_order_details .cart_item span,
.woocommerce_review_order_details .order_summary span{ 
  display: flex;   
  text-align: center;
  justify-content: center;
  align-items: center;
}

.product_image {
    width: 12% !important;
}
.woocommerce_review_order_details .cart_item .product_image img {
    width: 100% !important;
    height: auto !important;
}
.woocommerce_review_order_details .cart_item .product_description{    
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: flex-start;
  line-height: 2vw !important;
  padding: 0 2vw;
}

/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/
/*/////////////////////////////////////////////////////////////////////////////////////*/


.ts-product-bonus{
    color: rgb(0, 184, 0);
    font-weight: bold;
}
.product_description {
    width: 27% !important;
}
.product_unitary_price {
    width: 11% !important;
}
.product_qty {
    width: 11% !important;
}
.product_stock{
    position: absolute !important;
    top: 20%;
    color: white;
    opacity: 0;
    display: none;
    visibility: hidden;
}
.product_stock_legend {
    position: absolute !important;
    width: 10vw !important;
    height: auto !important;
    font-size: 0.75vw !important;
    font-weight: bold;
    top: 77%;
    left: 51%;
}
.orange {
    color: white !important;
    padding: 0.5vw 0.75vw !important;
    background-color: rgb(255, 136, 57) !important;
}

.product_regural_price {
    width: 13% !important;
}
.product_dicount {
    width: 12% !important;
}
.woocommerce_review_order_details .cart_item .product_dicount,
.woocommerce_review_order_details .order_summary .product_dicount h2 strong{
    color: red;
}

.product_dicount_price {
    width: 11% !important;
}



/***************************************************************************************************************************/

#print-cart-button{
    position: absolute;
    right: 2vw;
    bottom: -2vw;
    padding: 1vw;
    font-size: 0.6vw;
}



@media print {

    /* =========================================
       CONFIGURACIÓN DE PÁGINA
       ========================================= */
    /*
    @page {
        size: Letter landscape;
    }*/

    #print-cart-button,
    #block-18 a {
        display: none !important;
    }


    /* =========================================
       OCULTAR HEADER / NAVEGACIÓN
       ========================================= */

    .qodef-header-sticky,
    .qodef-header-navigation,
    .qodef-widget-holder.qodef--one {
        display: none !important;
    }


    /* =========================================
       CONTENEDORES PRINCIPALES
       ========================================= */

    #qodef-page-wrapper,
    #qodef-page-outer,
    #qodef-page-inner,
    #qodef-page-content,
    #qodef-woo-page 
    {

        display: block !important;
        visibility: visible !important;
        opacity: 1 !important;

        position: relative !important;
        float: none !important;

        width: 100% !important;
        height: auto !important;
        min-height: 0 !important;
        max-height: none;

        overflow: visible !important;

        transform: none !important;
        filter: none !important;

        z-index: 999999 !important;
    }


    /* =========================================
       CONTENIDO PRINCIPAL
       ========================================= */

    #qodef-page-content {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    /* =========================================
       WOOCOMMERCE
       ========================================= */

       
    .woocommerce_review_order_container{

        width: 277mm !important;
        max-width: 277mm !important;
        box-sizing: border-box !important;
    }
    .woocommerce,
    .woocommerce_review_order_container,
    .woocommerce_review_order_details,
    .woocommerce_review_order_details * {
        visibility: visible !important;
    }


    /* =========================================
       EVITAR SCROLL INTERNO
       ========================================= */

    .woocommerce_review_order_container {
        overflow: visible !important;
        height: auto !important;
        max-height: none !important;
    }

}








/***************************************************************************************************************************/



@media (max-width: 991px) and (orientation: portrait) {

    #print-cart-button {
        position: absolute;
        right: 1vw;
        padding: 1vw;
        font-size: 1.6vw;
        bottom: 0vw;
    }


    .woocommerce_review_order_details .order_summary {
        height: 8vw !important;
        padding-top: 5vw;
        border-top: 1px solid grey;
    }

    .woocommerce_review_order_container{
        overflow-x: scroll;
    }
    .woocommerce_review_order_details{
        width: 250% !important;
        padding: 4vw 6vw !important;
        padding-left: 8vw !important;
    }
    .product-remove {
        font-size: 6vw !important;
        top: 35% !important;
        left: -4.25vw !important;
    }
    .product-edit {
        width: 4.5vw !important;
        height: 4.5vw !important;
        top: 65% !important;
        left: -6vw !important;
    }
    .out_of_stock .product-remove {
        left: -4.25vw !important;
    }   
    .out_of_stock .product-edit {
        left: -6vw !important;
    }

    .product_stock_legend {
        width: auto !important;
        font-size: 2.75vw !important;
        font-weight: bold;
        top: 83%;
        left: 1%;
    }
    .orange {
        padding: 1vw 1.75vw !important;
    }



    .woocommerce_review_order_details .order_summary {
        border-bottom: none !important;
    }
    .woocommerce_review_order_details .product_header {
        padding-bottom: 3vw;
    }

    .woocommerce_review_order_details .product_header span,
    .woocommerce_review_order_details .product_header span h2,
    .woocommerce_review_order_details .cart_item span,
    .woocommerce_review_order_details .order_summary span ,
    .woocommerce_review_order_details .order_summary span strong{
        font-size: 3.5vw;
    }

    .woocommerce_review_order_details .cart_item {
        height: 35vw;
    }

    .woocommerce_review_order_details .cart_item .product_description{    
        line-height: 4vw !important;
        padding: 0 3vw;
    }



}